//
//  AQRest.h
//  Aquallegro
//
//  Created by Andy Van Ness on 1/27/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class AQTimeSignature;

@interface AQRest : NSObject
{
	int noteType;
	int dots;
}

- (AQRest*)initWithNoteType:(int)theNoteType;
- (AQRest*)initWithRest:(AQRest*)theRest;

+ (AQRest*)restWithNoteType:(int)theNoteType;
+ (AQRest*)restWithRest:(AQRest*)theRest;

+ (AQRest*)wholeRest;
+ (AQRest*)halfRest;
+ (AQRest*)quarterRest;
+ (AQRest*)eighthRest;
+ (AQRest*)sixteenthRest;

- (void)setNoteType:(int)theNoteType;
- (int)noteType;
- (void)setDots:(int)theDots;
- (int)dots;

- (float)beatValueForTimeSignature:(AQTimeSignature*)theTimeSignature;

- (void)play;
- (void)playWithContext:(NSDictionary*)context;

- (NSImage*)imageValue;
- (NSImage*)imageValueWithContext:(NSDictionary*)context;
- (NSString*)description;

@end
