/* AQStaff */

#import <Cocoa/Cocoa.h>
#import <AudioToolbox/AudioToolbox.h>

#import "Engraving.h"
@class AQClef;
@class AQTimeSignature;

@interface AQStaff : NSObject
{
	NSArray* objects;
	AQClef* defaultClef;
	AQTimeSignature* defaultTimeSignature;
}

- (AQStaff*)initWithArray:someObjects;
- (AQStaff*)initWithArray:someObjects defaultClef:aDefaultClef;
- (AQStaff*)initWithArray:someObjects defaultTimeSignature:aDefaultTimeSignature;
- (AQStaff*)initWithArray:someObjects defaultClef:aDefaultClef defaultTimeSignature:aDefaultTimeSignature;

+ (AQStaff*)staffWithArray:someObjects;
+ (AQStaff*)staffWithArray:someObjects defaultClef:aDefaultClef;
+ (AQStaff*)staffWithArray:someObjects defaultTimeSignature:aDefaultTimeSignature;
+ (AQStaff*)staffWithArray:someObjects defaultClef:aDefaultClef defaultTimeSignature:aDefaultTimeSignature;

- (AQClef*)defaultClef;
- (void)setDefaultClef:(AQClef*)theDefaultClef;

- (AQTimeSignature*)defaultTimeSignature;
- (void)setDefaultTimeSignature:(AQTimeSignature*)theDefaultTimeSignature;

- (NSArray*)objects;
- (void)setObjects:(NSArray*)theObjects;

- (void)play;
- (void)playWithContext:(NSDictionary*)context;

- (NSImage*)imageValue;
- (NSImage*)imageValueWithContext:(NSDictionary*)context;
- (NSString*)description;

@end
